Bug 124214 - Fuzzy rendering of a FontWork after some stressing
Summary: Fuzzy rendering of a FontWork after some stressing
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisectRequest, regression
Depends on:
Blocks: FontWork-WordArt
  Show dependency treegraph
 
Reported: 2019-03-19 18:49 UTC by Telesto
Modified: 2022-01-12 03:41 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Screencast (3.22 MB, video/mp4)
2019-03-19 18:50 UTC, Telesto
Details
Example file (15.82 KB, application/vnd.oasis.opendocument.presentation)
2019-04-10 08:17 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2019-03-19 18:49:27 UTC
Description:
Fuzzy rendering of a FontWork after some stressing

Steps to Reproduce:
Fiddling around with Fontwork. No clue about the exact cause.. 

Actual Results:
Fuzzy fontwork; after some edit back to normal

Expected Results:
Crisp rendering


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.3.0.0.alpha0+
Build ID: bbf9b65f91e8136fa1a2e17960944b8720f5d58e
CPU threads: 4; OS: Windows 6.3; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2019-03-15_09:56:33
Locale: nl-NL (nl_NL); UI-Language: en-US
Calc: threaded
Comment 1 Telesto 2019-03-19 18:50:32 UTC
Created attachment 150108 [details]
Screencast
Comment 2 Durgapriyanka 2019-03-20 14:57:51 UTC
Thank you for reporting the bug. I can confirm the bug is present in

Version: 6.3.0.0.alpha0+
Build ID: b6b28931435e44aca92b8c0e1659f701e3ed1a87
CPU threads: 2; OS: Windows 6.1; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2019-01-30_06:57:04
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded
Comment 3 mulla.tasanim 2019-03-22 20:04:29 UTC
*** Bug 124215 has been marked as a duplicate of this bug. ***
Comment 4 Buovjaga 2019-04-09 20:16:21 UTC
Tried to repro, but got bored.

Telesto: by all means, try to bibisect.

Version: 6.3.0.0.alpha0+ (x64)
Build ID: 9956cf0692058414ef3efdb0e8058fbb0b39f6bc
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-04-04_02:20:31
Locale: fi-FI (fi_FI); UI-Language: en-US
Calc: threaded
Comment 5 Telesto 2019-04-10 08:17:20 UTC
A more workable STR
1. Open the attached file
2. Move the Fontwork a little bit
2. Double click the font work -> Edit mode
3. Single click the fontwork somewhere (but outside the text edit field)
Comment 6 Telesto 2019-04-10 08:17:36 UTC
Created attachment 150645 [details]
Example file
Comment 7 Buovjaga 2019-04-10 08:42:10 UTC
Ok, now I can repro.

Telesto: will you be doing the bibisecting?

Arch Linux 64-bit
Version: 6.3.0.0.alpha0+
Build ID: e967aea2d8cc4f9fc608cb726cb474c184fb61de
CPU threads: 8; OS: Linux 5.0; UI render: default; VCL: gtk3; 
Locale: fi-FI (fi_FI.UTF-8); UI-Language: en-US
Calc: threaded
Built on 7 April 2019
Comment 8 Telesto 2019-04-10 09:31:09 UTC Comment hidden (obsolete)
Comment 9 Telesto 2019-04-10 09:43:57 UTC
Argh. Also in
Version: 5.4.0.0.alpha1+
Build ID: 9feb7f7039a3b59974cbf266922177e961a52dd1
CPU threads: 4; OS: Windows 6.29; UI render: default; 
Locale: nl-NL (nl_NL); Calc: CL

I forgot to move the shape
Comment 10 Telesto 2020-01-12 18:48:06 UTC
Repro with
Version: 6.5.0.0.alpha0+ (x64)
Build ID: ce685f64f38551e7984155783c9c7660d986abf6
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: GL; VCL: win; 
Locale: nl-NL (nl_NL); UI-Language: en-US
Calc: CL
Comment 11 Telesto 2020-01-12 18:53:09 UTC
Also in
Versie: 5.0.6.3 (x64)
Build ID: 490fc03b25318460cfc54456516ea2519c11d1aa
Locale: nl-NL (nl_NL)

and in
4.2.0.4

but not in
Versie: 4.1.0.4 
Build ID: 89ea49ddacd9aa532507cbf852f2bb22b1ace28
Comment 12 QA Administrators 2022-01-12 03:41:44 UTC
Dear Telesto,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug